Description 1
This variable indicates whether this interface operates in half duplex or full duplex mode.
OID reference
1.3.6.1.4.1.89.43.1.1.4
This variable indicates whether this interface operates in half duplex or full duplex mode.
Identification
{1 3 6 1 4 1 89 43 1 1 4}
Definitions may combine these properties differently.
Numbers refer to source variants above. Each value is shown only for variants that define it.
| Value | Name | Source variants |
|---|---|---|
| 1 | half | 1, 2 |
| 2 | full | 1, 2 |
| 3 | hybrid | 2 |
| 4 | unknown | 2 |
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In RADLAN-MIB, the row index swIfIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.89.43.1.1.4.<swIfIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
Published row index: swIfIndex.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.89.43.1.1.4
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Product context
The NETGEAR catalogue lists MIB files containing this definition with these product and release labels:
These are catalogue release labels, not necessarily MIB revisions. A MIB definition does not establish that a device implements it or permits access.
Available source records contain 3 distinct definitions; some records may not include a definition.
swIfDuplexOperMode OBJECT-TYPE
SYNTAX INTEGER {
half(1),
full(2)
}
ACCESS read-only
STATUS mandatory
DESCRIPTION
" This variable indicates whether this interface operates in half
duplex or full duplex mode."
::= { swIfEntry 4 }swIfDuplexOperMode OBJECT-TYPE
SYNTAX INTEGER {
half(1),
full(2),
hybrid(3),
unknown(4)
}
MAX-ACCESS read-only
STATUS current
DESCRIPTION
" This variable indicates whether this interface operates in half
duplex or full duplex mode.
This variable can have the values hybrid or unknown
only for a trunk.
unknown - only if trunk operative status is not present."
::= { swIfEntry 4 }swIfDuplexOperMode OBJECT-TYPE
SYNTAX INTEGER {
half(1),
full(2),
hybrid(3),
unknown(4)
}
MAX-ACCESS read-only
STATUS current
DESCRIPTION
" This variable indicates whether this interface operates in half
duplex or full duplex mode.
This variable can have the values hybrid or unknown
only for a trunk.
unknown - only if trunk operative status is not present."
::= { swIfEntry 4 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Description 1
This variable indicates whether this interface operates in half duplex or full duplex mode.
Description 2
This variable indicates whether this interface operates in half duplex or full duplex mode. This variable can have the values hybrid or unknown only for a trunk. unknown - only if trunk operative status is not present.
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)Dell MIB copies (LibreNMS/Observium Community)Netdisco MIB archive copiesNETGEAR official product and EOL MIB downloads
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: swIfDuplexOperMode
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"swIfDuplexOperMode",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"half",
"(",
"1",
")",
",",
"full",
"(",
"2",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\" This variable indicates whether this interface operates in half duplex or full duplex mode.\"",
"::=",
"{",
"swIfEntry",
"4",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"half",
1
],
[
"full",
2
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"This variable indicates whether this interface operates in half duplex or full duplex mode."
],
null,
null,
null,
null
]
}Module: RADLAN-MIB
See published definition above
{'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}Related source files and packages:
Status in source: current.
Names: swIfDuplexOperMode
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"swIfDuplexOperMode",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"half",
"(",
"1",
")",
",",
"full",
"(",
"2",
")",
",",
"hybrid",
"(",
"3",
")",
",",
"unknown",
"(",
"4",
")",
"}",
"MAX-ACCESS",
"read-only",
"STATUS",
"current",
"DESCRIPTION",
"\" This variable indicates whether this interface operates in half duplex or full duplex mode. This variable can have the values hybrid or unknown only for a trunk. unknown - only if trunk operative status is not present.\"",
"::=",
"{",
"swIfEntry",
"4",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"half",
1
],
[
"full",
2
],
[
"hybrid",
3
],
[
"unknown",
4
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"current"
],
[
"DESCRIPTION",
"This variable indicates whether this interface operates in half duplex or full duplex mode. This variable can have the values hybrid or unknown only for a trunk. unknown - only if trunk operative status is not present."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive.
Module: RADLAN-rlInterfaces
See published definition above
{'IF-MIB': ['ifIndex'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'TEXTUAL-CONVENTION'], 'RADLAN-MIB': ['swInterfaces', 'rlIfInterfaces'], 'SNMPv2-SMI': ['Unsigned32', 'Integer32', 'Counter32', 'MODULE-IDENTITY', 'OBJECT-TYPE'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['DisplayString']}Related source files and packages:
Vendor MIB copy from the Observium Community archive.
Module: RADLAN-rlInterfaces
See published definition above
{'IF-MIB': ['ifIndex', 'InterfaceIndex', 'InterfaceIndexOrZero'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'TEXTUAL-CONVENTION', 'DisplayString'], 'RADLAN-MIB': ['rnd', 'rlIfInterfaces'], 'SNMPv2-SMI': ['Unsigned32', 'Integer32', 'Counter32', 'MODULE-IDENTITY', 'OBJECT-TYPE'], 'Q-BRIDGE-MIB': ['PortList']}Related source files and packages:
Module: RADLAN-rlInterfaces
{'IF-MIB': ['ifIndex', 'InterfaceIndex', 'InterfaceIndexOrZero'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'TEXTUAL-CONVENTION', 'DisplayString'], 'RADLAN-MIB': ['rnd', 'rlIfInterfaces'], 'SNMPv2-SMI': ['Unsigned32', 'Integer32', 'Counter32', 'MODULE-IDENTITY', 'OBJECT-TYPE'], 'Q-BRIDGE-MIB': ['PortList']}Related source files and packages:
Same file in MX510TX_MS510TXPP_MIBS_ODM_V6.7.0.42.zip.
Same file in MS510TX_TXPP_V6.7.0.37_MIB_V6.7.0.37.zip.
Module: RADLAN-rlInterfaces
{'IF-MIB': ['ifIndex', 'InterfaceIndex', 'InterfaceIndexOrZero'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'TEXTUAL-CONVENTION', 'DisplayString'], 'RADLAN-MIB': ['rnd', 'rlIfInterfaces'], 'SNMPv2-SMI': ['Unsigned32', 'Integer32', 'Counter32', 'MODULE-IDENTITY', 'OBJECT-TYPE'], 'Q-BRIDGE-MIB': ['PortList']}Related source files and packages:
Same file in MIB-6.5.1.22.zip.
Same file in XS728T_XS748T_mib_files.zip.
Same file in XS728T_XS748T_MIB_V6.5.1.59.zip.
Same file in XS728T_XS748T_MIB_V6.5.1.42.zip.
Vendor MIB copy from the Observium Community archive. Dell support.
Module: Dell-rlInterfaces
{'IF-MIB': ['ifIndex', 'InterfaceIndex', 'InterfaceIndexOrZero'], 'Dell-MIB': ['rnd', 'rlIfInterfaces'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'TEXTUAL-CONVENTION', 'DisplayString'], 'SNMPv2-SMI': ['Unsigned32', 'Integer32', 'Counter32', 'MODULE-IDENTITY', 'OBJECT-TYPE'], 'Q-BRIDGE-MIB': ['PortList']}Vendor MIB copy from the Netdisco archive.
Module: RADLAN-rlInterfaces
{'SNMPv2-TC': ['DisplayString', 'RowStatus', 'TruthValue', 'TEXTUAL-CONVENTION'], 'RADLAN-MIB': ['swInterfaces', 'rlIfInterfaces'], 'SNMPv2-SMI': ['Unsigned32', 'Integer32', 'Counter32', 'MODULE-IDENTITY', 'OBJECT-TYPE'], 'Q-BRIDGE-MIB': ['PortList']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.89.43.1.1.1 | swIfIndex | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.2 | swIfPhysAddressType | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.3 | swIfDuplexAdminMode | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.5 | swIfBackPressureMode | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.6 | swIfTaggedMode | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.7 | swIfTransceiverType | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.8 | swIfLockAdminStatus | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.9 | swIfLockOperStatus | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.10 | swIfType | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.11 | swIfDefaultTag | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.12 | swIfDefaultPriority | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.13 | swIfStatus | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.14 | swIfFlowControlMode | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.15 | swIfSpeedAdminMode | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.16 | swIfSpeedDuplexAutoNegotiation | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.17 | swIfOperFlowControlMode | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.18 | swIfOperSpeedDuplexAutoNegotiation | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.19 | swIfOperBackPressureMode | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.20 | swIfAdminLockAction | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.21 | swIfOperLockAction | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.22 | swIfAdminLockTrapEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.23 | swIfOperLockTrapEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.24 | swIfOperSuspendedStatus | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.25 | swIfLockOperTrapCount | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.26 | swIfLockAdminTrapFrequency | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.27 | swIfReActivate | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.28 | swIfAdminMdix | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.29 | swIfOperMdix | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.30 | swIfHostMode | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.31 | swIfSingleHostViolationAdminAction | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.32 | swIfSingleHostViolationOperAction | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.33 | swIfSingleHostViolationAdminTrapEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.34 | swIfSingleHostViolationOperTrapEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.35 | swIfSingleHostViolationOperTrapCount | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.36 | swIfSingleHostViolationAdminTrapFrequency | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.37 | swIfLockLimitationMode | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.38 | swIfLockMaxMacAddresses | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.39 | swIfLockMacAddressesCount | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.40 | swIfAdminSpeedDuplexAutoNegotiationLocalCapabilities | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.41 | swIfOperSpeedDuplexAutoNegotiationLocalCapabilities | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.42 | swIfSpeedDuplexNegotiationRemoteCapabilities | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.43 | swIfAdminComboMode | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.44 | swIfOperComboMode | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.45 | swIfAutoNegotiationMasterSlavePreference | 0 | 0 | |
| 1.3.6.1.4.1.89.43.1.1.46 | swIfPortCapabilities | 0 | 0 |